<?php
/**
*
* @package - NV Advanced Last Topic Titles
* @version $Id$
* @copyright (c) 2007 nickvergessen nickvergessen@gmx.de http://www.flying-bits.org
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
define('IN_INSTALL', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : '../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'CT_TITLE';

$version_config_name = 'ct_version';
$language_file = 'mods/info_acp_cleantalk';

if(empty($config[$version_config_name]) && !empty($config['ct_agent'])){
    $cur_version = substr($config['ct_agent'], strrpos($config['ct_agent'], '-') + 1);
    if($cur_version){
        set_config($version_config_name, "{$cur_version[0]}.{$cur_version[1]}.{$cur_version[2]}");
    }
}
$versions = array(
	// Version 2.9.4
	'2.9.4'	=> array(
		'config_add' => array(
            array('ct_server_url', 'http://moderate.cleantalk.ru'),
            array('ct_auth_key', ''),
            array('ct_enable', 1),
            array('ct_newuser', 1),
            array('ct_response_lang', 'en'),
            array('ct_post_count', '5'),
            array('ct_server_changed', 0),
            array('ct_server_ttl', 0),
            array('ct_url_prefix', 'http://'),
            array('ct_work_url', ''),
		),
        'table_column_add' => array(
            array(FORUMS_TABLE, 'enable_stoplist_check', array('BOOL', 0)),
            array(FORUMS_TABLE, 'ct_moderate_guests', array('BOOL', 0)),
            array(FORUMS_TABLE, 'ct_moderate_newly_registered', array('BOOL', 0)),
            array(FORUMS_TABLE, 'ct_moderate_registered', array('BOOL', 0)),
            array(FORUMS_TABLE, 'ct_allow_links', array('BOOL', 0)),
            array(USERS_TABLE,  'ct_request_id', array('CHAR:32', '', 'null')),
        ),
	),
	// Version 3.0.4
	'3.0.4'	=> array(
        'config_add' => array(
            array('ct_agent', 'ct-phpbb3-304'),
        ),
    ),

    // Version 3.1.4
    '3.1.4' => array(
        'config_update' => array(
            array('ct_agent', 'ct-phpbb3-314'),
        ),
    ),

    // Version 3.2.4
    '3.2.4' => array(
        'config_remove' => array(
            array('ct_agent'),
        ),
        'module_add' => array(
            array('acp', 0, 'ACP_CLEANTALK'),
            array('acp', 'ACP_CLEANTALK', 'CT_TITLE'),
            array('acp', 'CT_TITLE', array(
                    'module_basename'   => 'cleantalk',
                    'module_langname'   => 'CT_SETTINGS',
                    'module_mode'       => 'settings',
                    'module_auth'       => 'acl_a_board',
                ),
            ),
        ),
	),


    // Version 3.3.4
    '3.3.4' => array(
	'table_column_add' => array(
		array(POSTS_TABLE, 'ct_request_id', array('CHAR:32', '', 'null')),
		),
	),
    '3.3.5' => array(
                 // no changes ... purge caches anyways
                 'cache_purge' => array(
                         'auth'
                 ),
         ),
    '3.4.6' => array(
	'config_add' => array(
            array('ct_moderate_guests', 1),
            array('ct_moderate_newly_registered', 1)
		)
	),
    '3.4.7' => array(
                 // no changes ... purge caches anyways
                 'cache_purge' => array(
                         'auth'
                 ),
         ),
    '3.4.9' => array(
                 // no changes ... purge caches anyways
                 'cache_purge' => array(
                         'auth'
                 ),
         ),
    '3.5.9' => array(
				'config_add' => array(
					array('ct_sms_check', 0)
				),
				'table_column_add' => array(
					array(USERS_TABLE,  'ct_phone_number', array('CHAR:20', '', 'null')),
				)
         ),
);

// Include the UMIL Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>
